libvisio::VSDEllipse Class Reference
Inheritance diagram for libvisio::VSDEllipse:

## Public Member Functions

| VSDEllipse (unsigned id, unsigned level, const std::optional< double > &cx, const std::optional< double > &cy, const std::optional< double > &xleft, const std::optional< double > &yleft, const std::optional< double > &xtop, const std::optional< double > &ytop)
| ~VSDEllipse () override
void | handle (VSDCollector *collector) const override
VSDGeometryListElement * | clone () override
Public Member Functions inherited from libvisio::VSDGeometryListElement
| VSDGeometryListElement (unsigned id, unsigned level)
virtual | ~VSDGeometryListElement ()
virtual unsigned | getDataID () const
void | setLevel (unsigned level)

## Public Attributes

double | m_cx
double | m_cy
double | m_xleft
double | m_yleft
double | m_xtop
double | m_ytop

## Additional Inherited Members

Protected Attributes inherited from libvisio::VSDGeometryListElement
unsigned | m_id
unsigned | m_level

## Constructor & Destructor Documentation

## VSDEllipse()

libvisio::VSDEllipse::VSDEllipse | ( | unsigned | id,
|  | unsigned | level,
|  | const std::optional< double > & | cx,
|  | const std::optional< double > & | cy,
|  | const std::optional< double > & | xleft,
|  | const std::optional< double > & | yleft,
|  | const std::optional< double > & | xtop,
|  | const std::optional< double > & | ytop )

inline

Referenced by clone().

## ~VSDEllipse()

libvisio::VSDEllipse::~VSDEllipse | ( |  | ) |

inline override

## Member Function Documentation

## clone()

libvisio::VSDGeometryListElement * libvisio::VSDEllipse::clone | ( |  | ) |

override virtual

Implements libvisio::VSDGeometryListElement.

## handle()

void libvisio::VSDEllipse::handle | ( | VSDCollector * | collector | ) | const

override virtual

Implements libvisio::VSDGeometryListElement.

## Member Data Documentation

## m_cx

double libvisio::VSDEllipse::m_cx

Referenced by clone(), handle(), and VSDEllipse().

## m_cy

double libvisio::VSDEllipse::m_cy

Referenced by clone(), handle(), and VSDEllipse().

## m_xleft

double libvisio::VSDEllipse::m_xleft

Referenced by clone(), handle(), and VSDEllipse().

## m_xtop

double libvisio::VSDEllipse::m_xtop

Referenced by clone(), handle(), and VSDEllipse().

## m_yleft

double libvisio::VSDEllipse::m_yleft

Referenced by clone(), handle(), and VSDEllipse().

## m_ytop

double libvisio::VSDEllipse::m_ytop

Referenced by clone(), handle(), and VSDEllipse().

The documentation for this class was generated from the following file:

- VSDGeometryList.cpp